<script setup lang="ts">
import { ref } from 'vue'

import type { FriendsDB, Table } from 'bygonz'
import { doTest, liveQuery }  from 'bygonz'
// import * as bygonz from 'bygonz'
// const { doTest, liveQuery } = bygonz
import { Logger } from 'logger'
const { ERROR, WARN, LOG, DEBUG, VERBOSE } = Logger.setup(Logger.DEBUG, { prefix: '[prefix-test]', performanceEnabled: false }) // eslint-disable-line @typescript-eslint/no-unused-vars
WARN('test-test', 1, 2 )

const { friendsDB } = await doTest() as { friendsDB: FriendsDB & { Friends: Table; Connections: Table } }

defineProps<{ msg: string }>()

const count = ref(0)
</script>

<template>
  <h1>{{ msg }}</h1>

  <div class="card">
    <button type="button" @click="count++">count is {{ count }}</button>
    <p>
      Edit
      <code>components/HelloWorld.vue</code> to test HMR FAST
    </p>
  </div>

  <p>
    Check out
    <a href="https://vuejs.org/guide/quick-start.html#local" target="_blank"
      >create-vue</a
    >, the official Vue + Vite starter
  </p>
  <p>
    Install
    <a href="https://github.com/johnsoncodehk/volar" target="_blank">Volar</a>
    in your IDE for a better DX
  </p>
  <p class="read-the-docs">Click on the Vite and Vue logos to learn more</p>
</template>

<style scoped>
.read-the-docs {
  color: #888;
}
</style>
